<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Personality extends Model
{
    use HasFactory, HasUuids;

    protected $fillable = [
        'personality_code',
        'personality',
        'slug',
        'desc',
        'image_url',
    ];

    public function rules()
    {
        return $this->hasMany(Rule::class);
    }

    public function career()
    {
        return $this->belongsToMany(Career::class);
    }

    public function results()
    {
        return $this->belongsToMany(Result::class);
    }
}
